# Conversion: update

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/search-ads/v2/reference/conversion/update#auth).

Updates a batch of conversions in DoubleClick Search.
[Try it now](https://developers.google.com/search-ads/v2/reference/conversion/update#try-it).

## Request

### HTTP request

```
PUT https://www.googleapis.com/doubleclicksearch/v2/conversion
```

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/doubleclicksearch` |

For more information, see the [authentication and authorization](https://developers.google.com/search-ads/v2/authorizing) page.

### Request body

In the request body, supply a [Conversion resource](https://developers.google.com/search-ads/v2/reference/conversion#resource) with the following properties:

| Property name | Value | Description | Notes |
|---|---|---|---|
| **Optional Properties** ||||
| `conversion[].currencyCode` | `string` | The currency code for the conversion's revenue. Should be in ISO 4217 alphabetic (3-char) format. | writable |
| `conversion[].quantityMillis` | `long` | The quantity of this conversion, in millis. | writable |
| `conversion[].revenueMicros` | `long` | The revenue amount of this `TRANSACTION` conversion, in micros (value multiplied by 1000000, no decimal). For example, to specify a revenue value of "10" enter "10000000" (10 million) in your request. | writable |
| `conversion[].state` | `string` | The state of the conversion, that is, either `ACTIVE` or `REMOVED`. Note: state DELETED is deprecated. <br /> Acceptable values are: - "`ACTIVE`" - "`DELETED`": (Deprecated) - "`REMOVED`" | writable |

## Response

If successful, this method returns a [Conversion resource](https://developers.google.com/search-ads/v2/reference/conversion#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/doubleclicksearch/v2/doubleclicksearch.conversion.update).